<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    
    <title>JavaScript3</title>
    <script src="java.js"></script>
    <link rel="stylesheet" type="text/css" href="stajl.css">
</head>

<body>
            <h1>D I G I T R O N 2</h1>

            <form class="digitron" name="digitron" action="" method="">            <h4>Unesite brojeve:</h4>
            

                <tr>
                    <td>Unestite prvi broj:</td>
                    <td><input type="number" id="num-one"> </td>
                    </tr></br></br>
                <tr>
                    <td>Unesite drugi broj: </td>
                    <td><input type="number" id="num-two"> </td>
                    </tr></br></br>
                   
                <tr>
        
               <input type="button" class="Action" value="+" />
                <input type="button" class="Action" value="-" />
                <input type="button" class="Action" value="*" />
                <input type="button" class="Action" value="/" />
                <input type="button" class="Action" value="del" />
                <div id="result"></div>
         </form>





        <script>
            var screen = document.getElementById("result");
            var oper = document.querySelectorAll(".Action");
            var numOne = document.getElementById("num-one");
            var numTwo = document.getElementById("num-two");
    
            function Digitron2(opr, a, b) {
                this.opr = opr;
                this.one = a;
                this.two = b;
            }
            Digitron2.prototype.prikazi = function () {
                
                switch (this.opr) {
                    case "+":
                        return this.one + this.two;
                    case "-":
                        return this.one - this.two;
                    case "*":
                        return this.one * this.two;
                    case "/":
                        return this.one / this.two;
                    default:
                        break;
                }
            };
            Digitron2.prototype.obrisi = function () {
                numOne.value = "";
                numTwo.value = "";
                return "";
            }
            var len = oper.length;
            for (var i = 0; i < len; i++) {
                oper[i].addEventListener("click", function (e) {
                    if (['+', '-', '*', '/'].includes(this.value) === true) {
                        var one = parseFloat(numOne.value) || 0;
                        var two = parseFloat(numTwo.value) || 0;
                        var digitron2 = new Digitron2(this.value, one, two);
                        screen.innerHTML = (digitron2.prikazi());
                    }
                    else if (this.value === "del") {
                        var digitron2 = new Digitron2(this.value);
                        screen.innerHTML = (digitron2.obrisi());
                    }
                }, false);
            }
        </script>
    </body>
    
    </html>
    